import { http } from "@/utils/http";

/** 常见问题列表 */
export const getFaqList = (data?: object) => {
  return http.request<any>("post", "/faq/list", { data });
};

/** 常见问题详情 */
export const getFaqDetail = (id: number) => {
  return http.request<any>("get", `/faq/detail/${id}`);
};

/** 新增常见问题 */
export const addFaq = (data: object) => {
  return http.request<any>("post", "/faq/add", { data });
};

/** 修改常见问题 */
export const modifyFaq = (data: object) => {
  return http.request<any>("post", "/faq/modify", { data });
};

/** 删除常见问题 */
export const removeFaq = (id: number) => {
  return http.request<any>("get", `/faq/delete/${id}`);
};
